Zum Inhalt springen
scango.ch
Deutsch
Esc
navigierenöffnen⌘JVorschau

Kategorie anlegen

Kategorie anlegen. Erfordert einen Write-Key.

POST/categories
Autorisierung
AutorisierungBearer-Token (API key) · headererforderlich
Organisations-API-Key.
Request-Body
erforderlichapplication/json
namestringerforderlich
indexnumber
showOnScreenboolean
imageUrlstring
marginMinPercentnumber
marginMaxPercentnumber
hideStorestring[]
allowStorestring[]
Antworten
200Kategorie angelegt
successbooleanerforderlich
idstringerforderlich
400Ungültige Anfrage
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
403Nicht autorisiert
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
Anfrage
curl -X POST "https://dashboard.scango.ch/api/v1/categories" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "index": 0,
  "showOnScreen": true,
  "imageUrl": "string",
  "marginMinPercent": 0,
  "marginMaxPercent": 0,
  "hideStore": [
    "string"
  ],
  "allowStore": [
    "string"
  ]
}'
Antwort
{
  "success": true,
  "id": "string"
}